(* We grab the code from the file *)

let exit_usage () =
  Printf.eprintf "Usage : %s [-v] file.s\n" Sys.argv.(0);
  exit 1

let verbose, file =
  let l = Array.length Sys.argv in
  if l< 2 || l > 3 then
    exit_usage ()
  else if l = 2 then
    (false, Sys.argv.(1))
  else if Sys.argv.(1) = "-v" then
    (true, Sys.argv.(2))
  else
    exit_usage ()


let instrs =
  let input = open_in_bin file in
  let length = in_channel_length input in
  let s = String.create length in
  really_input input s 0 length;
  s

let trace_simpl s =
  if verbose then
    Printf.eprintf "%s\n" s

let trace_cplx (s, n) =
  if verbose then
    Printf.eprintf "%s %d\n" s n

(* TO BE COMPLETED *)

let _ = exit 1
